/******************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. 
** All rights reserved.
**
** File   : Construct.cpp
**
** Author : Yangsen Yao
**
** Description:
**    This file provides implementation for the CLIPS Construct
**    class.
**
** History:
**    26-Nov-2001 : Yangsen Yao
**        Created file.
******************************************************************/

#include <string>
#include "Construct.h"
extern "C" 
{
  #include "clips/commline.h"
}

// routecommand for executing CLIPS command
bool CCLPConstruct::routecommand()
{
    return (RouteCommand((char *) strCommandLine.c_str(), TRUE) == 1);
}
