/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRelationDefinition.cpp
**
** Author : Satish Hota
**
** Description:
**    This file provides implementation for CDrawableRelationDefinition class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 27-Nov-01 Satish Hota
**     Added GetText method.
******************************************************************************/

#include "stdafx.h"
#include "ConGraT.h"
#include "DrawableRelationDefinition.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDrawableRelationDefinition::CDrawableRelationDefinition(std::string name):CRelationDefinition(name)
{

}

CDrawableRelationDefinition::~CDrawableRelationDefinition()
{

}

long CDrawableRelationDefinition::GetText(std::string& rstrText)
{
    rstrText = GetTypeName();

	return CG_S_OK;
}
