/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableTypeDefinition.cpp
**
** Author : Satish Hota
**
** Description:
**    This file provides implementation for CDrawableTypeDefinition class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 28-Nov-01 Satish Hota
**     Added GetText method.
******************************************************************************/

#include "stdafx.h"
#include "ConGraT.h"
#include "DrawableTypeDefinition.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDrawableTypeDefinition::CDrawableTypeDefinition(std::string name):CTypeDefinition(name)
{

}

CDrawableTypeDefinition::~CDrawableTypeDefinition()
{

}

long CDrawableTypeDefinition::GetText(std::string &rstrText)
{
    rstrText = GetTypeName();
    return CG_S_OK;
}
