/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableTypeDefinition.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableTypeDefinition class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created.
** 28-Nov-01 Satish Hota
**     Added GetText method.
******************************************************************************/

#if !defined(AFX_DRAWABLETYPEDEFINITION_H__E26F82E5_0D7A_4DAE_BEB4_FC772B62468C__INCLUDED_)
#define AFX_DRAWABLETYPEDEFINITION_H__E26F82E5_0D7A_4DAE_BEB4_FC772B62468C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine/CTypeDefinition.h"
#include "DrawableRectangle.h"

class CDrawableTypeDefinition : 
	public CDrawableRectangle, 
	public CTypeDefinition  
{
public:
	virtual long GetText(std::string& rstrText);
	CDrawableTypeDefinition(std::string name);
	virtual ~CDrawableTypeDefinition();

};

#endif // !defined(AFX_DRAWABLETYPEDEFINITION_H__E26F82E5_0D7A_4DAE_BEB4_FC772B62468C__INCLUDED_)
