/******************************************************************************
**
** Authors : Satish Hota & Edwin Chan (with help from MFC)
** Date    : 09-Nov-01
** Filename: stdafx.h 
** Purpose : Common header file for precompiled header.
**           include file for standard system include files,
**           or project specific include files that are used frequently, but
**           are changed infrequently
**
** History:
** 09-Nov-01 Satish Hota & Edwin Chan
**     File Created
** 19-Nov-01 Satish Hota
**     * Added ConGraTError.h
******************************************************************************/


#if !defined(AFX_STDAFX_H__3AD1D136_0BBE_4791_9A58_85DF06D5EAD1__INCLUDED_)
#define AFX_STDAFX_H__3AD1D136_0BBE_4791_9A58_85DF06D5EAD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

// Local include files
#include "ConGraTError.h"

#endif // !defined(AFX_STDAFX_H__3AD1D136_0BBE_4791_9A58_85DF06D5EAD1__INCLUDED_)
