
(object Petal
    version    	45
    _written   	"Rose 7.5.0103.1920"
    charSet    	0)

(object Class_Category "MFC"
    is_unit    	TRUE
    is_loaded  	TRUE
    quid       	"3BE211190256"
    documentation 	"The MFC Domain is a simplification of the classes within the Microsoft Foundation Class library to accomodate the production of the ConGraT design model."
    exportControl 	"Public"
    logical_models 	(list unit_reference_list
	(object Class "Application"
	    quid       	"3BE4559B00DD"
	    documentation 	"This class is derived from CWinApp base class of MFC.  It is the main class that gets invoked when the application is instantiated."
	    language   	"C++")
	(object Class "Document"
	    quid       	"3BE455B503AB"
	    documentation 	"This class is the repository of the application.  It inherits from the CDocument class of MFC.  Internally, it maintains the knowledgebase."
	    language   	"C++")
	(object Class "DocTemplate"
	    quid       	"3BE456230255"
	    documentation 	"This class is an instance of CSingleDocTemplate class defined by MFC.  This is the template that is used as our application is a single document interface application.  This class creates the document, main-frame and the view classes."
	    language   	"C++")
	(object Class "MainFrame"
	    quid       	"3BE4563F00BB"
	    documentation 	"This class derived from the CFrameWnd class of MFC and contains the view, the toolbar and the menu."
	    language   	"C++")
	(object Class "View"
	    quid       	"3BE4569802C2"
	    documentation 	
|These class(es) graphically represent a window into the knowledgebase.  The views are the "Type Hierarchy", "Relationship Hierarchy", "Catalog of Individuals" and  a " Sheet of Assertion".  These classes are derived from the CScrollView of MFC.
	    
	    used_nodes 	(list uses_relationship_list
		(object Uses_Relationship
		    quid       	"3BE5BAE0033A"
		    supplier   	"Logical View::User Interface::Type_View"
		    quidu      	"3BE210030044")
		(object Uses_Relationship
		    quid       	"3BE5BAE5030F"
		    supplier   	"Logical View::User Interface::Relation_View"
		    quidu      	"3BE2102D03AB")
		(object Uses_Relationship
		    quid       	"3BE5BAE90170"
		    supplier   	"Logical View::User Interface::Individual_View"
		    quidu      	"3BE2103E0251")
		(object Uses_Relationship
		    quid       	"3BE5BAF10320"
		    supplier   	"Logical View::User Interface::Assertion_View"
		    quidu      	"3BE210620036"))
	    language   	"C++")
	(object Class "Menu"
	    quid       	"3BE4593A01E4"
	    documentation 	"This is automatically implemented by MFC.  It hosts all the pull-down menus like File, Edit, Rules, Help, etc."
	    language   	"C++")
	(object Class "Toolbar"
	    quid       	"3BE45FAA019E"
	    documentation 	"This is an instance of the CToolBar class defined by MFC.  It is created and managed by the MainFrame.  It hosts all the buttons that activate commands."
	    language   	"C++")
	(object Association "$UNNAMED$0"
	    quid       	"3BE456CE007A"
	    roles      	(list role_list
		(object Role "$UNNAMED$1"
		    quid       	"3BE456CF00C2"
		    supplier   	"Logical View::MFC::DocTemplate"
		    quidu      	"3BE456230255"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$2"
		    quid       	"3BE456CF00C4"
		    supplier   	"Logical View::MFC::Application"
		    quidu      	"3BE4559B00DD")))
	(object Association "$UNNAMED$3"
	    quid       	"3BE456D30280"
	    roles      	(list role_list
		(object Role "$UNNAMED$4"
		    quid       	"3BE456D402C8"
		    supplier   	"Logical View::MFC::Document"
		    quidu      	"3BE455B503AB"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$5"
		    quid       	"3BE456D402CA"
		    supplier   	"Logical View::MFC::DocTemplate"
		    quidu      	"3BE456230255")))
	(object Association "$UNNAMED$6"
	    quid       	"3BE456D8002F"
	    roles      	(list role_list
		(object Role "$UNNAMED$7"
		    quid       	"3BE456D900C6"
		    supplier   	"Logical View::MFC::MainFrame"
		    quidu      	"3BE4563F00BB"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$8"
		    quid       	"3BE456D900D0"
		    supplier   	"Logical View::MFC::DocTemplate"
		    quidu      	"3BE456230255")))
	(object Association "$UNNAMED$9"
	    quid       	"3BE456DC011B"
	    roles      	(list role_list
		(object Role "$UNNAMED$10"
		    quid       	"3BE456DD0235"
		    supplier   	"Logical View::MFC::View"
		    quidu      	"3BE4569802C2"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$11"
		    quid       	"3BE456DD023F"
		    supplier   	"Logical View::MFC::MainFrame"
		    quidu      	"3BE4563F00BB")))
	(object Association "$UNNAMED$12"
	    quid       	"3BE456E1037B"
	    roles      	(list role_list
		(object Role "$UNNAMED$13"
		    quid       	"3BE456E20282"
		    supplier   	"Logical View::MFC::View"
		    quidu      	"3BE4569802C2"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$14"
		    quid       	"3BE456E2028C"
		    supplier   	"Logical View::MFC::Document"
		    quidu      	"3BE455B503AB")))
	(object Association "$UNNAMED$15"
	    quid       	"3BE4797B02F6"
	    roles      	(list role_list
		(object Role "$UNNAMED$16"
		    quid       	"3BE4797C0239"
		    supplier   	"Logical View::MFC::Menu"
		    quidu      	"3BE4593A01E4"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$17"
		    quid       	"3BE4797C024D"
		    supplier   	"Logical View::MFC::MainFrame"
		    quidu      	"3BE4563F00BB")))
	(object Association "$UNNAMED$18"
	    quid       	"3BE4797F0265"
	    roles      	(list role_list
		(object Role "$UNNAMED$19"
		    quid       	"3BE47980011C"
		    supplier   	"Logical View::MFC::Toolbar"
		    quidu      	"3BE45FAA019E"
		    is_navigable 	TRUE)
		(object Role "$UNNAMED$20"
		    quid       	"3BE479800126"
		    supplier   	"Logical View::MFC::MainFrame"
		    quidu      	"3BE4563F00BB"))))
    logical_presentations 	(list unit_reference_list
	(object ClassDiagram "Package Overview"
	    quid       	"3BE211190257"
	    title      	"Package Overview"
	    zoom       	100
	    max_height 	28350
	    max_width  	21600
	    origin_x   	0
	    origin_y   	0
	    items      	(list diagram_item_list
		(object ClassView "Class" "Logical View::MFC::Application" @1
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(344, 262)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@1
			location   	(222, 212)
			fill_color 	13434879
			nlines     	1
			max_width  	244
			justify    	0
			label      	"Application")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE4559B00DD"
		    width      	262
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::MFC::Document" @2
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(278, 765)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@2
			location   	(170, 715)
			fill_color 	13434879
			nlines     	1
			max_width  	216
			justify    	0
			label      	"Document")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE455B503AB"
		    width      	234
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::MFC::DocTemplate" @3
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(512, 518)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@3
			location   	(373, 468)
			fill_color 	13434879
			nlines     	1
			max_width  	278
			justify    	0
			label      	"DocTemplate")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE456230255"
		    width      	296
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object AssociationViewNew "$UNNAMED$0" @4
		    location   	(427, 389)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE456CE007A"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$1" @5
			    Parent_View 	@4
			    location   	(83, 127)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456CF00C2"
			    client     	@4
			    supplier   	@3
			    line_style 	0)
			(object RoleView "$UNNAMED$2" @6
			    Parent_View 	@4
			    location   	(83, 127)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456CF00C4"
			    client     	@4
			    supplier   	@1
			    line_style 	0)))
		(object AssociationViewNew "$UNNAMED$3" @7
		    location   	(393, 641)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE456D30280"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$4" @8
			    Parent_View 	@7
			    location   	(-119, 123)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456D402C8"
			    client     	@7
			    supplier   	@2
			    line_style 	0)
			(object RoleView "$UNNAMED$5" @9
			    Parent_View 	@7
			    location   	(-119, 123)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456D402CA"
			    client     	@7
			    supplier   	@3
			    line_style 	0)))
		(object ClassView "Class" "Logical View::MFC::View" @10
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(797, 897)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@10
			location   	(716, 847)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"View")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE4569802C2"
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object AssociationViewNew "$UNNAMED$12" @11
		    location   	(550, 833)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE456E1037B"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$13" @12
			    Parent_View 	@11
			    location   	(272, 68)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456E20282"
			    client     	@11
			    supplier   	@10
			    line_style 	0)
			(object RoleView "$UNNAMED$14" @13
			    Parent_View 	@11
			    location   	(272, 68)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456E2028C"
			    client     	@11
			    supplier   	@2
			    line_style 	0)))
		(object ClassView "Class" "Logical View::MFC::Menu" @14
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1318, 725)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@14
			location   	(1237, 675)
			fill_color 	13434879
			nlines     	1
			max_width  	162
			justify    	0
			label      	"Menu")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE4593A01E4"
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::MFC::Toolbar" @15
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(1322, 906)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@15
			location   	(1235, 856)
			fill_color 	13434879
			nlines     	1
			max_width  	174
			justify    	0
			label      	"Toolbar")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE45FAA019E"
		    width      	192
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object ClassView "Class" "Logical View::MFC::MainFrame" @16
		    ShowCompartmentStereotypes 	TRUE
		    IncludeAttribute 	TRUE
		    IncludeOperation 	TRUE
		    location   	(978, 656)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    label      	(object ItemLabel
			Parent_View 	@16
			location   	(856, 606)
			fill_color 	13434879
			nlines     	1
			max_width  	244
			justify    	0
			label      	"MainFrame")
		    icon_style 	"Icon"
		    line_color 	3342489
		    fill_color 	13434879
		    quidu      	"3BE4563F00BB"
		    width      	262
		    height     	124
		    annotation 	8
		    autoResize 	TRUE)
		(object AssociationViewNew "$UNNAMED$6" @17
		    location   	(753, 588)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE456D8002F"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$7" @18
			    Parent_View 	@17
			    location   	(241, 70)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456D900C6"
			    client     	@17
			    supplier   	@16
			    line_style 	0)
			(object RoleView "$UNNAMED$8" @19
			    Parent_View 	@17
			    location   	(241, 70)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456D900D0"
			    client     	@17
			    supplier   	@3
			    line_style 	0)))
		(object AssociationViewNew "$UNNAMED$9" @20
		    location   	(886, 776)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE456DC011B"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$10" @21
			    Parent_View 	@20
			    location   	(-92, 120)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456DD0235"
			    client     	@20
			    supplier   	@10
			    line_style 	0)
			(object RoleView "$UNNAMED$11" @22
			    Parent_View 	@20
			    location   	(-92, 120)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE456DD023F"
			    client     	@20
			    supplier   	@16
			    line_style 	0)))
		(object AssociationViewNew "$UNNAMED$15" @23
		    location   	(1168, 693)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE4797B02F6"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$16" @24
			    Parent_View 	@23
			    location   	(190, 37)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE4797C0239"
			    client     	@23
			    supplier   	@14
			    line_style 	0)
			(object RoleView "$UNNAMED$17" @25
			    Parent_View 	@23
			    location   	(190, 37)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE4797C024D"
			    client     	@23
			    supplier   	@16
			    line_style 	0)))
		(object AssociationViewNew "$UNNAMED$18" @26
		    location   	(1150, 780)
		    font       	(object Font
			size       	10
			face       	"Arial"
			bold       	FALSE
			italics    	FALSE
			underline  	FALSE
			strike     	FALSE
			color      	0
			default_color 	TRUE)
		    stereotype 	TRUE
		    line_color 	3342489
		    quidu      	"3BE4797F0265"
		    roleview_list 	(list RoleViews
			(object RoleView "$UNNAMED$19" @27
			    Parent_View 	@26
			    location   	(172, 124)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE47980011C"
			    client     	@26
			    supplier   	@15
			    line_style 	0)
			(object RoleView "$UNNAMED$20" @28
			    Parent_View 	@26
			    location   	(172, 124)
			    stereotype 	TRUE
			    line_color 	3342489
			    quidu      	"3BE479800126"
			    client     	@26
			    supplier   	@16
			    line_style 	0)))))))
