/******************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. 
** All rights reserved.
**
** File   : Construct.h
**
** Author : Yangsen Yao
**
** Description:
**    This file provides definition for the CLIPS Construct
**    class.
**
** History:
**    26-Nov-2001 : Yangsen Yao
**        Created file.
******************************************************************/

#ifndef _CONSTRUCT_H_
#define _CONSTRUCT_H_

#include <string>
#include "Control.h"
extern "C" 
{
  #include "clips/clips.h"
}

class CCLPConstruct
{
 public:
	 std::string strCommandLine;
    
     bool routecommand();
};

#endif // _CONSTRUCT_H_
