/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : ACCDrawableComposite.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for ACCDrawableComposite class 
** class.
**
** History:
** 28-Nov-01 Satish Hota
**     File Created. 
******************************************************************************/

#if !defined(AFX_ACCDRAWABLECOMPOSITE_H__26509641_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
#define AFX_ACCDRAWABLECOMPOSITE_H__26509641_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_

#include "DrawableElement.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vector>
#include "Drawable.h"

class ACCDrawableComposite:public CDrawable
{
public:
    virtual std::vector<CDrawableElement*> ObjectsAt(int nXCoor, int nYCoor);
	ACCDrawableComposite();
	virtual ~ACCDrawableComposite();

};

#endif // !defined(AFX_ACCDRAWABLECOMPOSITE_H__26509641_E3B7_11D5_A7C3_E6F0D1795B0D__INCLUDED_)
