/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRelation.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableRelation class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 01-Dec-01 Satish Hota
**     Overrode the GetText method.
******************************************************************************/

#if !defined(AFX_DRAWABLERELATION_H__C005FAA6_29B6_4035_83ED_9B65B44897C7__INCLUDED_)
#define AFX_DRAWABLERELATION_H__C005FAA6_29B6_4035_83ED_9B65B44897C7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine/CRelation.h"
#include "DrawableRoundedRectangle.h"

class CDrawableRelation : 
	public CDrawableRoundedRectangle, 
	public CRelation  
{
public:
    virtual long GetText(std::string &rstrText);
	CDrawableRelation();
	virtual ~CDrawableRelation();

};

#endif // !defined(AFX_DRAWABLERELATION_H__C005FAA6_29B6_4035_83ED_9B65B44897C7__INCLUDED_)
