/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRelationDefinition.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableRelationDefinition class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 27-Nov-01 Satish Hota
**     Added GetText method.
******************************************************************************/

#if !defined(AFX_DRAWABLERELATIONDEFINITION_H__DCD68CD7_1321_4A73_9AF5_DAD63F71198B__INCLUDED_)
#define AFX_DRAWABLERELATIONDEFINITION_H__DCD68CD7_1321_4A73_9AF5_DAD63F71198B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CGEngine\CRelationDefinition.h"
#include "DrawableRoundedRectangle.h"

class CDrawableRelationDefinition : 
	public CDrawableRoundedRectangle, 
	public CRelationDefinition  
{
public:
	virtual long GetText(std::string& rstrText);
	CDrawableRelationDefinition(std::string name);
	virtual ~CDrawableRelationDefinition();

};

#endif // !defined(AFX_DRAWABLERELATIONDEFINITION_H__DCD68CD7_1321_4A73_9AF5_DAD63F71198B__INCLUDED_)
