#ifndef _ConGraTError_h_
#define _ConGraTError_h_

// Test for success
#define CG_SUCCEEDED(Status) (long)(Status) >= 0)

// Test for failure
#define CG_FAILED(Status) ((long)(Status)<0)

// Define some standard success codes
#define CG_S_OK      ((HRESULT)0x00000000L)
#define CG_S_FALSE   ((HRESULT)0x00000001L)

// Define some standard error codes
#define CG_E_FAIL           ((HRESULT)0x80000001L)
#define CG_E_UNEXPECTED     ((HRESULT)0x80000002L)
#define CG_E_OUTOFMEMORY    ((HRESULT)0x80000003L)


#endif //_ConGraTError_h_
